Skip to main content
PATCH
Update Inventory Item

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

item_id
string<uuid>
required

Body

application/json
name
string | null
category
string | null
pricing_unit
enum<string> | null
Available options:
PER_WEEK,
PER_INSERT,
PER_DAY,
PER_POST,
PER_EVENT
slot_start
string<time> | null
slot_end
string<time> | null
rate_card_price
Required range: x >= 0
base_units
integer | null
Required range: x >= 1
unit_label
string | null
price_per_extra_unit
Required range: x >= 0
duration_seconds
integer | null
Required range: x >= 1
weekly_capacity
integer | null
Required range: x >= 1
inclusions
string | null
description
string | null
is_active
boolean | null

Response

Successful Response